/******************************************************************/
/* ACM ICPC 2017-2018, NEERC                                      */
/* Northern Subregional Contest                                   */
/* St Petersburg, November 4, 2017                                */
/******************************************************************/
/* Problem B. Boolean Satisfiability                              */
/*                                                                */
/* Original idea         Gennady Korotkevich                      */
/* Problem statement     Pavel Mavrin                             */
/* Test set              Pavel Mavrin                             */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Pavel Mavrin                             */
/******************************************************************/

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Scanner;

/**
 * @author: pashka
 */
public class boolean_pm {

    public static void main(String[] args) throws FileNotFoundException {
        Scanner in = new Scanner(new File("boolean.in"));
        String formula = in.nextLine();
        String[] clauses = formula.split("\\|");
        boolean[][] literals = new boolean[256][2];
        for (String clause : clauses) {
            if (clause.length() == 1) {
                literals[clause.charAt(0)][0] = true;
            } else {
                literals[clause.charAt(1)][1] = true;
            }
        }
        int n = 0;
        boolean isTrue = false;
        for (int i = 0; i < 256; i++) {
            if (literals[i][0] || literals[i][1]) {
                n++;
            }
            if (literals[i][0] && literals[i][1]) {
                isTrue = true;
            }
        }
        PrintWriter out = new PrintWriter("boolean.out");
        if (isTrue) {
            out.println(1L << n);
        } else {
            out.println((1L << n) - 1);
        }
        out.close();
    }
}

