/******************************************************************/
/* ACM ICPC 2017-2018, NEERC                                      */
/* Northern Subregional Contest                                   */
/* St Petersburg, November 4, 2017                                */
/******************************************************************/
/* Problem C. Consonant Fencity                                   */
/*                                                                */
/* Original idea         Andrei Lopatin                           */
/* Problem statement     Andrei Lopatin                           */
/* Test set              Andrei Lopatin                           */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Andrei Lopatin                           */
/******************************************************************/

import java.io.*;

public class consonant_al {
  static final int MaxN = (int)1e6;
  static final int K = 19;
  static final String z = "bcdfghjklmnpqrstvxzwyaeiou";
  public static void main (String args []) throws Exception {
    BufferedReader in = new BufferedReader (new FileReader ("consonant.in"));
    PrintWriter out = new PrintWriter ("consonant.out");
    String s = in.readLine ();
    int n = s.length ();
    if (n == 0 || n > MaxN)
      throw new RuntimeException ("Invalid input string length: " + s.length ());
    if (in.ready ())
      throw new RuntimeException ("EOF expected");
    int [] v = new int [n];
    int [][] d = new int [K][];
    for (int i = 0; i < K; i++) {
      d[i] = new int [K - i];
    }
    int prev = z.indexOf (s.charAt (0));
    if (prev < 0) throw new Exception ("Non-alphabetic character: " + s.charAt (0));
    v[0] = prev;
    for (int i = 1; i < n; i++) {
      int cur = z.indexOf (s.charAt (i));
      if (cur < 0) throw new Exception ("Non-alphabetic character: " + s.charAt (i));
      v[i] = cur;
      if (prev < K && cur < K) {
        if (prev < cur) d[prev][cur - prev]++; else d[cur][prev - cur]++;
      }
      prev = cur;
    }
    int L = 1 << (K - 1);
    int B = -1, BM = -1;
    for (int M = 0; M < L; M++) {
      int A = 0;
      for (int i = 0; i < K; i++) {
        int P = M >> i;
        if ((P & 1) != 0) P = ~P;
        int S = K - i;
        for (int j = 1; j < S; j++) {
          if ((P & (1 << j)) != 0)
            A += d[i][j];
        }
      }
      if (A > B) {
        B = A; BM = M;
      }
    }
    System.err.println ("Optimal answer is " + B);
    for (int i = 0; i < n; i++) {
      if ((BM & (1 << v[i])) == 0) out.print (z.charAt (v[i]));
      else out.print ((char)(z.charAt (v[i]) - 32));
    }
    out.println ();
    out.close ();
  }
}

