/******************************************************************/
/* ACM ICPC 2017-2018, NEERC                                      */
/* Northern Subregional Contest                                   */
/* St Petersburg, November 4, 2017                                */
/******************************************************************/
/* Problem C. Consonant Fencity                                   */
/*                                                                */
/* Original idea         Andrei Lopatin                           */
/* Problem statement     Andrei Lopatin                           */
/* Test set              Andrei Lopatin                           */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Georgiy Korneev                          */
/******************************************************************/

import java.io.File;
import java.io.PrintWriter;
import java.util.Scanner;

public class consonant_gk_ok_x2 {
    static Scanner in;
    static PrintWriter out;
    static final String LETTERS = "bcdfghjklmnpqrstvxzaeiouwy";
    static final int CONS = 19;


    private static class Solution {
        void run() {
            out.println(solve(in.nextLine()));
        }

        private String solve(final String word) {
            int[][] c = new int[LETTERS.length()][LETTERS.length()];
            int[] vs = new int[word.length()];
            for (int i = 0; i < word.length(); i++) {
                vs[i] = LETTERS.indexOf(word.charAt(i));
                if (i > 0) {
                    c[vs[i - 1]][vs[i]]++;
                }
            }

            int best = 0;
            int bestMask = 0;
            for (int mask = 0; mask < 1 << CONS; mask++) {
                int total = 0;
                for (int i = 0; i < CONS; i++) {
                    for (int j = 0; j < CONS; j++) {
                        if (((mask & (1 << i)) == 0) ^ ((mask & (1 << j)) == 0)) {
                            total += c[i][j];
                        }
                    }
                }
                if (total > best) {
                    best = total;
                    bestMask = mask;
                }
            }

            StringBuilder sb = new StringBuilder();
            for (char ch : word.toCharArray()) {
                int v = LETTERS.indexOf(ch);
                sb.append((bestMask & (1 << v)) == 0 ? ch : Character.toUpperCase(ch));

            }
            System.out.println(best);
            return sb.toString();
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("consonant.in"));
        out = new PrintWriter("consonant.out");

        new Solution().run();

        in.close();
        out.close();
    }
}
