/******************************************************************/
/* ACM ICPC 2017-2018, NEERC                                      */
/* Northern Subregional Contest                                   */
/* St Petersburg, November 4, 2017                                */
/******************************************************************/
/* Problem I. Intelligence in Perpendicularia                     */
/*                                                                */
/* Original idea         Georgiy Korneev                          */
/* Problem statement     Georgiy Korneev                          */
/* Test set              Mikhail Dvorkin                          */
/*                       Georgiy Korneev                          */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Georgiy Korneev                          */
/******************************************************************/

import java.io.File;
import java.io.PrintWriter;
import java.util.Scanner;
import java.util.stream.IntStream;

public class intel_gk {
    private static Scanner in;
    private static PrintWriter out;

    private static class Solution {
        void run() {
            int n = in.nextInt();
            int[] x = new int[n + 1];
            int[] y = new int[n + 1];
            for (int i = 0; i < n; i++) {
                x[i] = in.nextInt();
                y[i] = in.nextInt();
            }
            x[n] = x[0];
            y[n] = y[0];

            int minX = IntStream.of(x).min().getAsInt();
            int minY = IntStream.of(y).min().getAsInt();
            int maxX = IntStream.of(x).max().getAsInt();
            int maxY = IntStream.of(y).max().getAsInt();
            long length = 0;
            for (int i = 0; i < n; i++) {
            	length += Math.abs(x[(i + 1) % n] - x[i]);
            	length += Math.abs(y[(i + 1) % n] - y[i]);
            }
            out.println(length - (maxX - minX + maxY - minY) * 2);
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("intel.in"));
        out = new PrintWriter("intel.out");

        new Solution().run();

        in.close();
        out.close();
    }
}

