/******************************************************************/
/* ACM ICPC 2017-2018, NEERC                                      */
/* Northern Subregional Contest                                   */
/* St Petersburg, November 4, 2017                                */
/******************************************************************/
/* Problem K. Kotlin Island                                       */
/*                                                                */
/* Original idea         Mikhail Dvorkin                          */
/* Problem statement     Mikhail Dvorkin                          */
/* Test set              Mikhail Dvorkin                          */
/******************************************************************/
/* Tests                                                          */
/*                                                                */
/* Author                Mikhail Dvorkin                          */
/******************************************************************/

import java.io.*;
import java.util.*;

public class Tests {
    public static final int MAX_SIZE = 100;
    public static final int MAX_BLOCKS = 1_000_000_000;

    private static File dir = new File("tests");
    private int curTest = 1;
    private static boolean verbose = true;

    private String testName;
    private PrintWriter out;
    private Random r = new Random(566L);

    public void run() {
        t(3, 5, 4);
        t(2, 1, 1);
        t(5, 3, 10);
        t(3, 5, 2);
        t(3, 5, 3);
        t(3, 5, 1);
        t(3, 5, 5);
        t(3, 5, 6);
        t(1, 1, 1);
        t(1, 1, 2);
        t(1, 2, 2);
        t(1, 3, 2);
        t(2, 2, 2);
        t(3, 2, 2);
        t(5, 66, 99);
        t(71, 81, 1024);
        t(100, 100, 510);
        t(100, 100, 530);
        t(100, 100, 808);
        for (int n : new int[]{1, 2, MAX_SIZE / 2 - 1, MAX_SIZE / 2, MAX_SIZE / 2 + 1, MAX_BLOCKS}) {
            t(1, MAX_SIZE, n);
            t(1, MAX_SIZE - 1, n);
            t(MAX_SIZE, MAX_SIZE, n);
        }
        t(MAX_SIZE, MAX_SIZE, (MAX_SIZE / 2) * (MAX_SIZE / 2));
        t(MAX_SIZE, MAX_SIZE, (MAX_SIZE / 2 - 3) * (MAX_SIZE / 2 - 4));
        t(MAX_SIZE, MAX_SIZE, (MAX_SIZE / 2 - 3) * (MAX_SIZE / 2 - 4) - 1);
        t(MAX_SIZE, MAX_SIZE, (MAX_SIZE - 3) * (MAX_SIZE - 3));
        t(r.nextInt(MAX_SIZE) + 1, r.nextInt(MAX_SIZE) + 1, r.nextInt(MAX_BLOCKS));
    }

    private void t(int h, int w, int n) {
        open();
        out.println(h + " " + w + " " + n);
        close();
    }

    private void open() {
        try {
            testName = "" + curTest / 10 + curTest % 10;
            out = new PrintWriter(new File(dir, testName));
            if (verbose) {
                System.out.print("Generating " + testName + "...");
            }
        } catch (IOException e) {
            throw new RuntimeException("Unable to open " + testName + " for writing", e);
        }
    }

    private void close() {
        out.close();
        if (verbose) {
            System.out.println(" done.");
        }
        curTest++;
    }

    public static void main(String[] args) {
        Locale.setDefault(Locale.US);
        dir.mkdirs();
        new Tests().run();
    }
}

